const Main = imports.ui.main;
const SearchTab = imports.ui.viewSelector.SearchTab;

let disableSearch

// extension functions
function init() {
	disableSearch = new DisableSearch();
}

function enable() {
	disableSearch.enable();
}

function disable() {
	disableSearch.disable();
}


// our DisableSearch object
DisableSearch = function() {
    this.init();
}

DisableSearch.prototype = {
	init: function() {	    
        this.searchTab = Main.overview._viewSelector._searchTab;
        
	},
	
	enable: function() {
	    this.oldStartSearch = this.searchTab.startSearch;
	    
		this.searchTab.startSearch = function(event){}
		this.searchTab._entry.hide()
						
	},
	
	disable: function() {
		this.searchTab.startSearch = this.oldStartSearch;
		this.searchTab._entry.show();
		
	}
};
